Subject: Re: bash scripts and cd's....
From: [email-masked] (Earnie Boyd)

27 Nov 1998 13:02:56 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Jose I. Cabrera" <[email-masked]>
Cc: cygwin users <[email-masked]>

---"Jose I. Cabrera" <[email-masked]> wrote:

Hi, Jose.

>
> I have NT4SP3 running Cygnus v20.
> 
> I have a script:
> 
> --- begin script ---
> #! /bin/sh
> 
> cd k:
> cd NormalDirectory
> cd "Directory with a spaces in between"
> 
> exit 0
> --- end script ---
> 
> This executes ok.  But, when I do a ls, the files echo'ed are the
> files from HOME.  why?  If I do this manually, I could get to
> "Directory with a spaces in between".  Any idea why?
> 

For example purposes I'll call the script ys.  When ys is executed it
is executed in a child process.  The cd happens in the child not the
parent.  The parent never sees the cd that happens in the child process.

To have the parent issue the cd commands you need to use the "source"
command AKA ".".  E.G.:

bash$ source ys

or 

bash$ . ys

This will have the effect you want and leave the parent in path\ with\
spaces.

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".